<script>
  import Background from "./components/background.svelte";
  import Stats from "./components/stats.svelte";
  import CTA from "./components/cta.svelte";

  const scrollDown = event => {
    event.preventDefault();

    document
      .querySelector(event.target.getAttribute("href"))
      .scrollIntoView({ behavior: "smooth", block: "center" });

    return false;
  };

  const scrollLoad = event => {
    scrollDown(event);
    load(event);
  };

  let src = "";
  let thumbShow = "";
  const load = e => {
    thumbShow = "load";
    src =
      "https://www.youtube-nocookie.com/embed/U7lBtjNiDMw?autoplay=1";
  };
</script>

<style>
  h1 {
    font-size: 50px;
    margin: 0 0 20px;
    color: #ffffff;
  }

  h1 span {
    line-height: 0.8em;
    font-size: 3em;
    color: var(--primary);
    text-transform: uppercase;
  }

  @media (max-width: 500px) {
    h1 {
      font-size: 10vw;
    }
    h1 span {
      font-size: 30vw;
    }
  }

  p {
    margin: 0 0 30px;
  }

  .button {
    background: var(--primary);
    margin: 0 10px 10px 0;
  }

  p:last-of-type {
    margin-bottom: 0;
  }

  #content {
    padding: 50px 40px 0;
    max-width: 50%;
    box-sizing: border-box;
    background: #222a2f;

    margin-bottom: 40px;
  }

  .wrapper {
    max-width: var(--max-width);
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-end;
    align-items: flex-start;

    margin: auto;
  }

  @media (max-width: 900px) {
    #content {
      max-width: 100%;
    }
  }
</style>

<Background />
<div class="wrapper">
  <div id="content">
    <section>
      <h1 id="title">
        Join the
        <br />
        <span>Fight</span>
        <br />
        Against Diabetes
      </h1>
      <CTA {src} {thumbShow} on:click={load} />
      <p>
        Your neighbor has it, your best friend, or maybe your own spouse. Type 2
        diabetes is a lifestyle-related disease that haunts many people. But it
        can be reversed simply by changing the lifestyle habits that caused it
        in the first place. Watch the video below and learn how you can start
        the fight against diabetes today.
      </p>
      <p>
        <a class="button" href="#reverse" on:click={scrollDown}>
          How we're fighting
        </a>
      </p>
    </section>

    <Stats />

  </div>

</div>
